import { __extends } from "tslib";
import { Cartesian3 } from '@taotieh/cesium_extend';
import ClipWithPlane from './ClipWithPlane';
var State;
(function (State) {
    State[State["READY"] = 0] = "READY";
    State[State["POINT_ORIGIN_SELECTED"] = 1] = "POINT_ORIGIN_SELECTED";
    State[State["POINT_ORIGIN_CHANGED"] = 2] = "POINT_ORIGIN_CHANGED";
    State[State["DONE"] = 3] = "DONE";
})(State || (State = {}));
/**
 *  使用强制绑定为相机裁剪面方向,
 *  重写部分函数, 实现选重原点之后创建相机裁剪面平行方向的跑切面
 */
var ClipWithCamera = /** @class */ (function (_super) {
    __extends(ClipWithCamera, _super);
    function ClipWithCamera(viewer, instance) {
        var _this = 
        /** **********************************************************
         *  父类构造需要指定原点和法线, 这里的值无意义. 等待后续鼠标动作赋值
         *************************************************************/
        _super.call(this, viewer, instance, Cartesian3.ZERO.clone(), Cartesian3.UNIT_Y.clone()) || this;
        _this._toReset();
        return _this;
    }
    return ClipWithCamera;
}(ClipWithPlane));
export default ClipWithCamera;
